Index: src/client/c/hu/varadiistvan/xplra/MultiBuffer.cc
===================================================================
--- src/client/c/hu/varadiistvan/xplra/MultiBuffer.cc	(revision 57)
+++ src/client/c/hu/varadiistvan/xplra/MultiBuffer.cc	(revision 66)
@@ -259,5 +259,5 @@
 //------------------------------------------------------------------------------
 
-size_t MultiBuffer::addInt(const string& name) throw()
+size_t MultiBuffer::addInt(const std::string& name) throw()
 {
     unfinalize();
@@ -268,5 +268,5 @@
 //------------------------------------------------------------------------------
 
-size_t MultiBuffer::addFloat(const string& name) throw()
+size_t MultiBuffer::addFloat(const std::string& name) throw()
 {
     unfinalize();
@@ -277,5 +277,5 @@
 //------------------------------------------------------------------------------
 
-size_t MultiBuffer::addDouble(const string& name) throw()
+size_t MultiBuffer::addDouble(const std::string& name) throw()
 {
     unfinalize();
@@ -286,5 +286,5 @@
 //------------------------------------------------------------------------------
 
-size_t MultiBuffer::addFloatArray(const string& name, size_t length,
+size_t MultiBuffer::addFloatArray(const std::string& name, size_t length,
                                   size_t offset) throw()
 {
@@ -297,5 +297,5 @@
 //------------------------------------------------------------------------------
 
-size_t MultiBuffer::addIntArray(const string& name, size_t length,
+size_t MultiBuffer::addIntArray(const std::string& name, size_t length,
                                 size_t offset) throw()
 {
@@ -308,5 +308,5 @@
 //------------------------------------------------------------------------------
 
-size_t MultiBuffer::addByteArray(const string& name, size_t length,
+size_t MultiBuffer::addByteArray(const std::string& name, size_t length,
                                  size_t offset) throw()
 {
Index: src/client/c/hu/varadiistvan/xplra/MultiBuffer.h
===================================================================
--- src/client/c/hu/varadiistvan/xplra/MultiBuffer.h	(revision 57)
+++ src/client/c/hu/varadiistvan/xplra/MultiBuffer.h	(revision 66)
@@ -329,4 +329,6 @@
      * Set the value of the float array dataref with the given ID.
      *
+     * @param id the ID of the float array dataref
+     * @param value the source buffer
      * @param length the amount of data, i.e. you can set only a part
      * of the data in the buffer. If 0, it is assumed to be the length
@@ -344,4 +346,6 @@
      * Get the value of the float array dataref with the given ID
      *
+     * @param id the ID of the float array dataref
+     * @param value the destination buffer
      * @param length the size of the buffer. If 0, it is assumed to be
      * the length of the data in the buffer minus the offset (see
@@ -360,4 +364,5 @@
      * buffer.
      *
+     * @param id the ID of the float array dataref
      * @param offset the offset within the buffer. If it is not less
      * than the length of the buffer, 0 is returned.
@@ -369,4 +374,6 @@
      * Set the value of the integer array dataref with the given ID.
      *
+     * @param id the ID of the integer array dataref
+     * @param value the source buffer
      * @param length the amount of data, i.e. you can set only a part
      * of the data in the buffer. If 0, it is assumed to be the length
@@ -384,4 +391,6 @@
      * Get the value of the integer array dataref with the given ID
      *
+     * @param id the ID of the integer array dataref
+     * @param value the destination buffer
      * @param length the size of the buffer. If 0, it is assumed to be
      * the length of the data in the buffer minus the offset (see
@@ -399,4 +408,5 @@
      * Get the array of integer values as a directly readable buffer.
      *
+     * @param id the ID of the float array dataref
      * @param offset the offset within the buffer. If it is not less
      * than the length of the buffer, 0 is returned.
@@ -409,4 +419,6 @@
      * Set the value of the byte array dataref with the given ID.
      *
+     * @param id the ID of the byte array dataref
+     * @param value the source buffer
      * @param length the amount of data, i.e. you can set only a part
      * of the data in the buffer. If 0, it is assumed to be the length
@@ -424,4 +436,6 @@
      * Get the value of the byte array dataref with the given ID
      *
+     * @param id the ID of the byte array dataref
+     * @param value the destination buffer
      * @param length the size of the buffer. If 0, it is assumed to be
      * the length of the data in the buffer minus the offset (see
@@ -433,5 +447,5 @@
      */
     size_t getByteArray(size_t id, uint8_t* value,
-                       size_t length = 0, size_t offset = 0) const
+                        size_t length = 0, size_t offset = 0) const
         throw(InvalidIDException, TypeMismatchException);
 
@@ -439,4 +453,5 @@
      * Get the array of byte values as a directly readable buffer.
      *
+     * @param id the ID of the byte array dataref
      * @param offset the offset within the buffer. If it is not less
      * than the length of the buffer, 0 is returned.
Index: src/client/c/hu/varadiistvan/xplra/XPlane.h
===================================================================
--- src/client/c/hu/varadiistvan/xplra/XPlane.h	(revision 54)
+++ src/client/c/hu/varadiistvan/xplra/XPlane.h	(revision 66)
@@ -173,4 +173,6 @@
      * Get a possibly partial array of floats.
      *
+     * @param name the name of the dataref
+     * @param dest the destination buffer
      * @param length the length of the destination buffer
      * @param offset the offset from which to get the array
@@ -185,4 +187,6 @@
      * be created with a length needed to hold the returned value.
      *
+     * @param name the name of the dataref
+     * @param length will contain the number of floats read
      * @param offset the offset from which to get the array
      */
@@ -193,4 +197,6 @@
      * Get a possibly partial array of integers.
      *
+     * @param name the name of the dataref
+     * @param dest the destination buffer
      * @param length the length of the destination buffer
      * @param offset the offset from which to get the array
@@ -205,4 +211,6 @@
      * be created with a length needed to hold the returned value.
      *
+     * @param name the name of the dataref
+     * @param length will contain the number of integers read
      * @param offset the offset from which to get the array
      */
@@ -213,4 +221,6 @@
      * Get a possibly partial array of bytes.
      *
+     * @param name the name of the dataref
+     * @param dest the destination buffer
      * @param length the length of the destination buffer
      * @param offset the offset from which to get the array
@@ -225,7 +235,9 @@
      * be created with a length needed to hold the returned value.
      *
-     * @param offset the offset from which to get the array
-     */
-    uint8_t* getByteArray(const char* name, size_t& lengyh,
+     * @param name the name of the dataref
+     * @param length will contain the number of bytes read on return
+     * @param offset the offset from which to get the array
+     */
+    uint8_t* getByteArray(const char* name, size_t& length,
                           size_t offset = 0) throw(Exception);
 
